Bug 779789 - (SOA-2150) Add ability to pre-parse/load rule resource before the first call to the process method of BusinessRuleProcessor
Add ability to pre-parse/load rule resource before the first call to the proc...
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
Assigned To: Ken Johnson
Depends On:
  Show dependency treegraph
Reported: 2010-07-13 12:56 EDT by Tihomir Surdilovic
Modified: 2011-06-20 15:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2150 None None None Never

  None (edit)
Description Tihomir Surdilovic 2010-07-13 12:56:18 EDT
Affects: Documentation (Ref Guide, User Guide, etc.)
Help Desk Ticket Reference: https://access.redhat.com/issue-tracker/?module=issues&action=view&tid=1127123&gid=1354
project_key: SOA

Currently rule resources are first parsed/loaded (creation of KnowledgeBase) upon first call of the process method of BusinessRuleProcessor. The creation of the KnowledgeBase is an expensive operation so this is request to add ability to pre-parse/load rule resources prior to the first call of the process method.
Comment 1 Anne-Louise Tangring 2010-09-22 08:21:24 EDT
This has been triaged for SOA 5.1.0. This is not in SOA 5.1.0

Note You need to log in before you can comment on or make changes to this bug.